Bug 3277 - [UPDATE REQUEST] [UPSTREAM UPDATE] luci
: [UPDATE REQUEST] [UPSTREAM UPDATE] luci
Status: RESOLVED FIXED
Product: Server Bugs
Classification: ROSA Server
Component: Main Packages
: unspecified
: All Linux
: Normal normal
: ---
Assigned To: Andrew Lukoshko
: ROSA Server Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-28 14:32 MSK by Andrew Lukoshko
Modified: 2014-01-10 10:51 MSK (History)
1 user (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
andrew.lukoshko: published_server+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Lukoshko 2013-11-28 14:32:41 MSK
* Previously, luci did not include concurrent additions to parameters for some
fence devices (including "cmd_prompt", "login_timeout",
"power_timeout", "retry_on", "shell_timeout")
or respective instances ("delay") as happened in
the fence-agents package. Consequently, the valid parameters
could be dropped from the respective part of the configuration upon
submitting the dedicated forms in luci. This update restores
the capability of luci to work with a full intended set of fence agents
parameters and, in turn, prevents luci from unexpectedly discarding
the already configured ones.

* Previously, luci did not include concurrent additions to fence devices
coverage as happened in the fence-agents package.
Consequently, Dell iDRAC (idrac), HP iLO2 (ilo2), HP iLO3 (ilo3),
and IBM Integrated Management Module (imm) devices or agents were
not honored in luci, leading to an inability to properly work with or to setup
a cluster comprising them. This update restores the capability of luci
to work with a full intended set of fence devices.

http://rhn.redhat.com/errata/RHBA-2013-1445.html

https://abf.rosalinux.ru/build_lists/1425929
https://abf.rosalinux.ru/build_lists/1425930
Comment 1 Vladimir Potapov 2013-12-06 09:54:18 MSK
luci-0.26.0-37.res6.1
**************************** RHEL Advisory *************************
* Previously, luci did not include concurrent additions to parameters for some
fence devices (including "cmd_prompt", "login_timeout",
"power_timeout", "retry_on", "shell_timeout")
or respective instances ("delay") as happened in
the fence-agents package. Consequently, the valid parameters
could be dropped from the respective part of the configuration upon
submitting the dedicated forms in luci. This update restores
the capability of luci to work with a full intended set of fence agents
parameters and, in turn, prevents luci from unexpectedly discarding
the already configured ones.

* Previously, luci did not include concurrent additions to fence devices
coverage as happened in the fence-agents package.
Consequently, Dell iDRAC (idrac), HP iLO2 (ilo2), HP iLO3 (ilo3),
and IBM Integrated Management Module (imm) devices or agents were
not honored in luci, leading to an inability to properly work with or to setup
a cluster comprising them. This update restores the capability of luci
to work with a full intended set of fence devices.
********************************************************************
QA Verified